<?PHP 

if (eregi("include", $_SERVER['SCRIPT_NAME'])) {
        Header("Location: ".$site_url."/index.php"); die();
}

$sqlregionlist = "SELECT gtr.regionlong AS regionlong, gtr.regionid AS regionid, gtr.regionname AS regionname, gts.statetag AS statetag, gts.statelong AS statelong, COUNT(gr.runshop_id) AS numshops
FROM ".$prefix."ResourceStates AS gts
LEFT JOIN ".$prefix."Runshops AS gr
ON gts.statetag = gr.runshop_state_tag AND gr.runshop_valid = 1
LEFT JOIN ".$prefix."ResourceRegions AS gtr
ON gts.regionid = gtr.regionid
GROUP BY gtr.regionlong, gts.statetag ORDER BY gtr.regionlong ASC";

$resultregionlist = mysql_query($sqlregionlist);

?>

<div class="widget">
  <h2>Choose Listing</h2>
  <div class="region-list">
<?
$currentregion = '';
$regioncount = '';
$tempstring = '';
$currenttag = '';
$showhide = '';
$region_dropdown = '';
$state_string = '';
while($rowregionlist = mysql_fetch_array($resultregionlist)){
  $selected_region = '';
  $selected_state  = '';
  if ($currentregion != $rowregionlist[regionlong]) {
    if ($selected_item == $currentrid) {
        $selected_region = ' selected="seleted"';
    }

    if ($currentregion != '') {
      $region_dropdown .= "<option value=\"$site_url/regionlist.php?region=$currentrid\"$selected_region>$currentregion ($regioncount)</option>$state_string";
      echo ("<div class='list-item'><a href='$site_url/regionlist.php?region=$currentrid'>" . $currentregion . " (" . $regioncount . ")</a><span>+</span><div class='sublist' id='". $currenttag . "'>");
      echo $tempstring;
      echo ("</div></div>\n");
    }
    $currentregion = $rowregionlist[regionlong];
    $currentrid = $rowregionlist[regionid];
    $currenttag = $rowregionlist[regionname];
    $regioncount = 0;
    $tempstring = '';
    $state_string = '';
  }

  if ($selected_item == $rowregionlist[statetag]) {
      $selected_state = ' selected="selected"';
  }
  $state_string .= "<option value=\"$site_url/statelist.php?state=$rowregionlist[statetag]\"$selected_state>&nbsp;&nbsp;&nbsp;$rowregionlist[statelong] ($rowregionlist[numshops])</option>";
  $tempstring = $tempstring. "<a href='$site_url/statelist.php?state=$rowregionlist[statetag]".get_sid()."' class='lhdr' title='$rowregionlist[statelong]'>$rowregionlist[statelong] ($rowregionlist[numshops])</a>\n";
  $regioncount += $rowregionlist[numshops];
}

echo ("<div class='list-item'><a href='$site_url/regionlist.php?region=$currentrid'>".$currentregion." (".$regioncount.")</a><span>+</span><div class='sublist' id='".$currenttag."'>");
echo $tempstring;
echo ('</div></div>');
if ( $selected_item == 'top') { $selected_region = ' selected="selected"'; }
$region_dropdown .= "<option value=\"" .  $site_url . '/top.php' . "\"$selected_region>Top Ranked</option>";
?>

    <div class="advsearch">
        <a href="<? echo $site_url . '/search.php' ?>">Search Run Shops</a> <span class="sprite-magnify">&nbsp;</span>
    </div>
  </div>
</div>
